" Vim color file
" Maintainer:	Valentin Gehrke <madmaurice@zom.bi>
" Last Change:	$ Sunday, 01. November 2015 00:12 $
" URL:		http://git.zom.bi/madmaurice/dotfiles

" cool help screens
" :he group-name
" :he highlight-groups
" :he cterm-colors

set background=dark
if version > 580
    " no guarantees for version 5.8 and below, but this makes it stop
    " complaining
    hi clear
    if exists("syntax_on")
	syntax reset
    endif
endif
let g:colors_name="madtheme"

" gvim not supported :^)

" color terminal definitions
hi SpecialKey 	 ctermfg=darkblue
hi StatusLine    cterm=none
hi StatusLineNC  cterm=none ctermbg=darkgray ctermfg=white
hi NonText    	 cterm=bold ctermfg=gray
hi Directory  	 ctermfg=blue
hi ErrorMsg   	 cterm=bold ctermfg=white ctermbg=red
hi IncSearch     cterm=underline ctermbg=none ctermfg=green
hi Search     	 cterm=underline ctermfg=white
hi MoreMsg    	 ctermfg=darkgreen
hi ModeMsg    	 cterm=NONE ctermfg=darkblue
hi LineNr     	 ctermfg=blue
hi Question   	 ctermfg=blue
hi VertSplit     cterm=none ctermbg=none ctermfg=blue
hi Title      	 ctermfg=green
hi Visual     	 cterm=reverse
hi VisualNOS  	 cterm=bold,underline
hi WarningMsg 	 ctermfg=yellow
hi WildMenu   	 ctermfg=white ctermbg=none
hi Folded     	 ctermfg=grey ctermbg=NONE
hi FoldColumn 	 ctermfg=grey ctermbg=NONE
hi DiffAdd    	 ctermbg=green ctermfg=black
hi DiffChange 	 ctermbg=yellow ctermfg=black
hi DiffDelete 	 ctermbg=red ctermfg=black
hi DiffText   	 cterm=bold ctermfg=grey
hi Comment    	 ctermfg=grey
hi Constant   	 ctermfg=lightblue
hi Special    	 ctermfg=blue
hi Identifier 	 ctermfg=white
hi Statement  	 ctermfg=darkblue
hi PreProc    	 ctermfg=grey
hi Type       	 ctermfg=white
hi Underlined 	 cterm=underline
hi Ignore     	 cterm=bold ctermfg=darkgrey
hi Error      	 cterm=bold ctermbg=red
hi Todo          cterm=bold,underline ctermbg=none ctermfg=darkgrey

"    EasyMotion
hi   EasyMotionTarget          cterm=none   ctermbg=none   ctermfg=lightblue
hi   EasyMotionShade           cterm=none   ctermbg=none   ctermfg=grey
hi   EasyMotionMoveHL          cterm=none   ctermbg=none   ctermfg=blue
hi   EasyMotionTarget2First    cterm=none   ctermbg=none   ctermfg=blue
hi   EasyMotionTarget2Second   cterm=none   ctermbg=none   ctermfg=blue
hi   EasyMotionIncSearch       cterm=none ctermbg=none ctermfg=lightblue
hi   EasyMotionIncCursor       cterm=none ctermbg=none ctermfg=lightblue

" ModeLine
hi ModeLineNormal cterm=none ctermbg=none ctermfg=none
hi ModeLineReplace cterm=none ctermbg=red ctermfg=none
hi ModeLineInsert cterm=none ctermbg=green ctermfg=none
hi ModeLineInsertPaste cterm=none ctermbg=blue ctermfg=none

" Tabs
hi TabLine cterm=none ctermfg=white ctermbg=none
hi TabLineSel cterm=none ctermfg=lightblue ctermbg=none
hi TabLineFill cterm=none ctermfg=none ctermbg=none

" Supertab
hi Pmenu ctermfg=white ctermbg=black
hi PmenuSel ctermfg=blue ctermbg=black
hi PmenuSbar ctermfg=white ctermbg=black cterm=none

"vim: sw=4
